--- sysfsutils.SlackBuild	2006-08-07 02:18:16.000000000 -0400
+++ sysfsutils.SlackBuild.s390x	2006-09-05 23:29:25.000000000 -0400
@@ -28,7 +28,7 @@
 
 ./configure \
   --prefix=/usr \
-  --libdir=/lib \
+  --libdir=/lib64 \
   --enable-static=no \
   $ARCH-slackware-linux
 make
@@ -37,16 +37,16 @@
 # Unless things start whining later that this libtool junk is
 # required for some reason, out it goes.  Especially in /lib,
 # where probably nothing would find it anyway.
-rm -f $PKG/lib/*.la
+rm -f $PKG/lib64/*.la
 
-# .so links should really go in /usr/lib:
-rm $PKG/lib/*.so
-mkdir -p $PKG/usr/lib
+# .so links should really go in /usr/lib64:
+rm $PKG/lib64/*.so
+mkdir -p $PKG/usr/lib64
 # sanity check
-if [ ! -L $PKG/lib/libsysfs.so.2 ]; then
+if [ ! -L $PKG/lib64/libsysfs.so.2 ]; then
   exit 1
 fi
-( cd $PKG/usr/lib ; ln -sf /lib/libsysfs.so.2 libsysfs.so )
+( cd $PKG/usr/lib64 ; ln -sf /lib64/libsysfs.so.2 libsysfs.so )
 
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
